# gitbook-plugins-prism-ASH
Gitbook plugin for [atelierbram/syntax-highlighting](https://github.com/atelierbram/syntax-highlighting) (ab. ASH)
base on [gitbook-plugin-prism](https://github.com/gaearon/gitbook-plugin-prism).

It provides additional themes when using [gitbook-plugin-prism](https://github.com/gaearon/gitbook-plugin-prism)。

To view atelierbram/syntax-highlighting prism demo, 
click [here](https://atelierbram.github.io/syntax-highlighting/prism/demo/).

## Usage
 
1. Add the plugin to your `book.json`, and disable default GitBook code highlighting:

    ```json
    {
      "plugins": ["-highlight", "prism", "prism-ASH"]
    }
    ``` 

1. Install the plugins

    ```bash
    gitbook install
    ```

1. Update `gitbook-plugin-prism`'s configuration,  override default styles:

    ```json
    "pluginsConfig": {  
      "prism": {
        "css": [
          "syntax-highlighting/assets/css/prism/prism-base16-google.light.css"
        ]
      }
    }
    ```
    All css files must reside in the same folder.
    The css file's root path is `${yourBookDir}/node_modules/`.
    The NPM module `syntax-highlighting` is an dependency of this plugin.

## License

Apache 2
